Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Sun, 11 Jan 2009 18:14:37 +0100

>> When the .emacs reader encounters the form
 >
 >> (modify-all-frames-parameters (list (cons 'tool-bar-lines 1)))
 >
 >> (setq default-frame-alist
 >>       (append (list (cons 'tool-bar-lines 0))
 >>               default-frame-alist))
 >
 > The above two forms don't mention anything special about the
 > initial-frame, so I think that it's a bug if Emacs treats the initial
 > frame differently in this case.

Maybe.  We'd also have to cater for `window-system-default-frame-alist'
which currently overrides values from `default-frame-alist' but not
those of `initial-frame-alist'.  That is, `modify-all-frames-parameters'
currently overrides a setting in `window-system-default-frame-alist'.

martin